首页 > 爱搞机

帝国CMS怎么升级PHP版本?从PHP5.X升级到PHP7.X?

moxiang 爱搞机 2020-03-10 23:30:05
帝国CMS怎么升级PHP版本?从PHP5.X升级到PHP7.X?
具体的教程目前没找到,整合资料自己折腾吧!
官方资料一:帝国CMS7.5使用PHP7.x登录后台报错的解决方法!
 

使用PHP7.*运行环境时,以下两种情况,设置支持PHP7.*操作步骤:
1、全新安装帝国CMS时:
只需安装时“MYSQL接口类型”选择“mysqli”即可支持PHP7系列。

2、已经安装好帝国CMS换PHP7.*运行环境时:
只需修改配置文件“/e/config/config.php”将“$ecms_config['db']['usedb']='mysql';”修改为“$ecms_config['db']['usedb']='mysqli';”即可支持PHP7系列。(注意事项:UTF8文件不能用记事本修改文件,否则会将文件转为GBK编码,推荐用Dreamweaver修改。)

3、php.ini配置问题,按下面修改即可解决:(记得改完重启环境)
修改php.ini,把error_reporting = E_ALL改成
error_reporting = E_ALL & ~E_NOTICE

4、如果修改上述不能解决问题,报错依旧。请继续修改PHP.ini文件 把display_errors = ON改成display_errors = Off即可了!

如果服务器是宝塔环境,上面的3和4直接从下图修改即可:

 



原文链接:https://www.moyublog.com/notes/813.html

剁手交流群:377963052
版权声明

本文仅代表作者观点,不代表本站立场。部分文章来自网络,如有侵权,请联系删除
本站文章可以转载,需要保留本站原文超链接。
本文地址:https://www.iwyv.com/aigaoji/1045.html

留言与评论(共有 0 条评论)
   
验证码:

潘少俊衡

| 桂ICP备14004624号-2

Powered By 潘少俊衡

新手上路

使用手机软件扫描微信二维码

关注我们可获取更多热点资讯

感谢潘少俊衡友情技术支持